#include "bodypart.h"

bodypart::bodypart()
{
    x = 0;
    y = 0;
    burrow = 0;
}

bodypart::bodypart(int _x, int _y, int _burrow)
{
    x = _x;
    y = _y;
    burrow = _burrow;
}

m_rect bodypart::get_rect() const
{
    m_rect r(y - radius, y + radius, x - radius, x + radius);

    return r;
}

